%bcond_without check
%global debug_package %{nil}
%global __os_install_post %{_rpmconfigdir}/brp-compress

Name:           receptor
Version:        1.2.2
Release:        1%{?dist}

# https://github.com/ansible/receptor
%global goipath         github.com/ansible/receptor

%global common_description %{expand:
Project Receptor is a flexible multi-service relayer with remote execution and
orchestration capabilities linking controllers with executors across a mesh of
nodes.}

Summary:        Project Receptor is a flexible multi-service relayer with remote execution and orchestration capabilities linking controllers with executors across a mesh of nodes

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            https://%{goipath}
Source0:        https://%{goipath}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        receptor.service
Source2:        receptor.conf.example
Source3:        %{name}-%{version}-vendor.tar.gz
Source4:        THIRD_PARTY_LICENSES.txt
%if %{with check}
# Tests
BuildRequires:  iproute
BuildRequires:  openssl
%endif

BuildRequires: golang >= 1.14
Requires: systemd

%description
%{common_description}

%prep
%setup -q
%setup -q -T -D -a3 -n %{name}-%{version}

%build
CGO_ENABLED=0 go build -o receptor  -ldflags "-X 'github.com/ansible/receptor/internal/version.Version=+g'"  ./cmd/receptor-cl
./receptor --bash-completion > receptor.completion

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp receptor            %{buildroot}%{_bindir}/receptor
install -m 0755 -vd                     %{buildroot}%{_sysconfdir}/systemd/system
install -m 0644 -vp %{SOURCE1} %{buildroot}%{_sysconfdir}/systemd/system/receptor@.service
install -m 0755 -vd                     %{buildroot}%{_sysconfdir}/receptor
install -m 0644 -vp %{SOURCE2} %{buildroot}%{_sysconfdir}/receptor/receptor.conf.example
install -m 0755 -vd                     %{buildroot}%{_datadir}/bash-completion/completions
install -m 0644 -vp receptor.completion %{buildroot}%{_datadir}/bash-completion/completions/receptor

%if %{with check}
%check
export PATH=$PATH:%{buildroot}%{_bindir}
SKIP_KUBE=1 go test ./... -p 1 -parallel=16 -count=1 -failfast
%endif

%files
%{_bindir}/*
%{_datadir}/bash-completion/completions/receptor
%{_sysconfdir}/receptor/receptor.conf.example
%{_sysconfdir}/systemd/system/receptor@.service

%changelog
* Thu Sep 08 2022 Alex Burmashev <alexander.burmashev@oracle.com> - 1.2.2-1
- Update to upstream 1.2.2

* Thu Aug 04 2022 Alex Burmashev <alexander.burmashev@oracle.com> - 1.2.0-1
- Initial Oracle release 


